Imagick::convolveImage
Imagick::cropThumbnailImage
The Imagick class
PHP Manual

# Imagick::cropImage

(No version information available, might be only in CVS)

Imagick::cropImage — Extracts a region of the image

### Description

bool Imagick::cropImage ( int `$width` , int `$height` , int `$x` , int `$y` )
Warning

This function is currently not documented; only its argument list is available.

Extracts a region of the image.

### Parameters

`width`

  The width of the crop

`height`

  The height of the crop

`x`

  The X coordinate of the cropped region's top left corner

`y`

  The Y coordinate of the cropped region's top left corner

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::convolveImage
Imagick::cropThumbnailImage
The Imagick class
PHP Manual